%define lib_major 2
%define libname %mklibname polkit %{lib_major}
%define libnamedevel %mklibname polkit -d

%define _localstatedir %{_var}

%define expat_version           1.95.5
%define glib2_version           2.6.0
%define dbus_version            0.90
%define dbus_glib_version	0.70
%define gtk_doc_version         1.4
%define consolekit_version      0.2.1
%define pam_version             0.99.6
%define polkit_uid              87

Summary: Authorization Toolkit
Name: policykit
Version: 0.9
Release: %mkrel 9
License: MIT
Group: System/Libraries
URL: http://people.freedesktop.org/~david/polkit-spec.html
Source0: http://hal.freedesktop.org/releases/PolicyKit-%{version}.tar.bz2
Source1: PolicyKit.conf
Patch1: pk-ck-api-change.patch
Patch2: entry-leak.patch
Patch3: polkit-0.8-dbus-policy.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Obsoletes: PolicyKit < %{version}-%{release}
Provides: PolicyKit = %{version}-%{release}
Requires(pre): rpm-helper
Requires(postun): rpm-helper
BuildRequires: expat-devel >= %{expat_version}
BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: dbus-devel  >= %{dbus_version}
BuildRequires: dbus-glib-devel >= %{dbus_glib_version}
BuildRequires: gtk-doc >= %{gtk_doc_version}
BuildRequires: xmlto
BuildRequires: pam-devel >= %{pam_version}
BuildRequires: perl-XML-Parser
BuildRequires: intltool

%description
PolicyKit is a toolkit for defining and handling authorizations.
It is used to allows unprivileged processes to speak to 
privileged processes.

%package -n %{libname}
Summary: Authorization Toolkit
Group: System/Libraries
Requires: dbus >= %{dbus_version}
Requires: dbus-glib >= %{dbus_glib_version}
Requires: glib2 >= %{glib2_version}
Requires: ConsoleKit >= %{consolekit_version}
Requires: pam >= %{pam_version}
Requires: %{name} = %{version}-%{release}

%description -n %{libname}
PolicyKit is a toolkit for defining and handling authorizations.
It is used to allows unprivileged processes to speak to 
privileged processes.

%package -n %{libnamedevel}
Summary: Headers and libraries for PolicyKit
Group: Development/C
Requires: %{libname} = %{version}-%{release}
Requires: pkgconfig
Requires: glib2-devel
Requires: dbus-devel
Provides: polkit-devel = %{version}-%{release}

%description -n %{libnamedevel}
Headers and libraries for PolicyKit.

%package docs
Summary: Documentation for PolicyKit
Group: Development/C
Requires: %{name} = %{version}-%{release}
# stupid guidelines require this for ownership of /usr/share/gtk-doc
Requires: gtk-doc

%description docs
Documentation for PolicyKit.

%prep
%setup -q -n PolicyKit-%{version}
%patch1 -p1 -b .api-change
%patch2 -p1 -b .entry-leak
%patch3 -p1 -b .dbus-policy

%build
%configure2_5x --disable-selinux
#parallel build is broken
make

%install
rm -rf %{buildroot}
%makeinstall_std profiledir=%{_sysconfdir}/bash_completion.d

rm -f %{buildroot}%{_libdir}/*.la
rm -f %{buildroot}%{_libdir}/*.a

# standard completion file name
mv %{buildroot}%{_sysconfdir}/bash_completion.d/polkit-bash-completion.sh \
   %{buildroot}%{_sysconfdir}/bash_completion.d/%{name}
chmod 644 %{buildroot}%{_sysconfdir}/bash_completion.d/%{name}

install -m 0644 %SOURCE1 %{buildroot}%{_sysconfdir}/PolicyKit/PolicyKit.conf

%clean
rm -rf %{buildroot}

%pre
rm -f %{_sysconfdir}/PolicyKit/PolicyKit.conf
%_pre_useradd polkituser / /sbin/nologin %{polkit_uid}

%postun
%_postun_userdel polkituser

%post -n %{libname}
/sbin/ldconfig

%postun -n %{libname}
/sbin/ldconfig

%files
%defattr(-,root,root,-)

%doc AUTHORS COPYING HACKING NEWS README doc/TODO

%config(noreplace) %{_sysconfdir}/pam.d/polkit
%dir %{_sysconfdir}/PolicyKit
%{_sysconfdir}/PolicyKit/PolicyKit.conf
%{_sysconfdir}/dbus-1/system.d/org.freedesktop.PolicyKit.conf
%{_sysconfdir}/bash_completion.d/%{name}

%{_bindir}/*
%{_libexecdir}/polkitd

%{_mandir}/man1/*
%{_mandir}/man5/*
%{_mandir}/man8/*

# see README file for why these permissions are necessary
%attr(4755,polkituser,root) %{_libexecdir}/polkit-set-default-helper
%attr(2755,root,polkituser) %{_libexecdir}/polkit-read-auth-helper
%attr(2755,root,polkituser) %{_libexecdir}/polkit-revoke-helper
%attr(2755,root,polkituser) %{_libexecdir}/polkit-explicit-grant-helper
%attr(2755,root,polkituser) %{_libexecdir}/polkit-grant-helper
%attr(4754,root,polkituser) %{_libexecdir}/polkit-grant-helper-pam
%attr(4755,root,polkituser) %{_libexecdir}/polkit-resolve-exe-helper
%attr(0770,root,polkituser) %dir %{_localstatedir}/run/PolicyKit
%attr(0770,root,polkituser) %dir %{_localstatedir}/lib/PolicyKit
%attr(0755,polkituser,root) %dir %{_localstatedir}/lib/PolicyKit-public
%attr(0664,polkituser,polkituser) %{_localstatedir}/lib/misc/PolicyKit.reload

%dir %{_datadir}/PolicyKit
%dir %{_datadir}/PolicyKit/policy
%{_datadir}/PolicyKit/config.dtd
%{_datadir}/PolicyKit/policy/org.freedesktop.policykit.policy

%{_datadir}/dbus-1/system-services/org.freedesktop.PolicyKit.service
%{_datadir}/dbus-1/interfaces/org.freedesktop.PolicyKit.AuthenticationAgent.xml

%files -n %{libname}
%defattr(-,root,root,-)
%{_libdir}/lib*.so.%{lib_major}*

%files -n %{libnamedevel}
%defattr(-,root,root,-)
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*

%files docs
%defattr(-,root,root,-)
%{_datadir}/gtk-doc/html/polkit


%changelog
* Mon Apr 05 2010 Texstar <texstar at gmail.com> 0.9-9pclos2010
- add additonal policy per Melodie

* Fri Mar 26 2010 Texstar <texstar at gmail.com> 0.9-8pclos2010
- rebuild for 2010

* Thu May 14 2009 Texstar <texstar@gmail.com> 0.9-7pclos2009
- fix typo reported by etjr

* Thu May 14 2009 Texstar <texstar@gmail.com> 0.9-6pclos2009
- add more policy conf entries from etjr

* Fri Apr 17 2009 pcserver <pcserver@hushmail.com> 0.9-5pclos2007
- add more policy conf entries 

* Tue Apr 17 2009 pcserver <pcserver@hushmail.com> 0.9-4pclos2007
- rebuild

* Fri Mar 27 2009 Texstar <texstar@gmail.com> 0.9-3pclos2007
- use a friendly policykit.conf

* Fri Mar 27 2009 Texstar <texstar@gmail.com> 0.9-2pclos2007
- apply fedora patches

* Tue Dec 02 2008 don_crissti <don_crissti@gmx.com> 0.9-1pclos2007
- new version
- Patch2 (Fedora): adapt to ConsoleKit 0.3 API
- drop patch 1

* Sun May 31 2008 Gettinther <gettinther@gmail.com> 0.8-2pclos2007
- Fix default policy for usb drive

* Fri May 16 2008 Gettinther <gettinther@gmail.com> 0.8-1pclos2007
- Updated to version 0.8

* Wed Mar 26 2008 Gettinther <gettinther@gmail.com> 0.7-2pclos2007
- Import updated policykit from Mandriva

* Sun Jan 20 2008 Neverstopdreaming <neverstopdreaming@gmail.com> 0.7-1pclos2007
- build for PCLOS
